Opencpn(1)

NAME
opencpn - Chartplotter and GPS Navigation Software

SYNOPSIS
opencpn [options]

DESCRIPTION
OpenCPN is a chartplotter and navigation GUI program supporting navigation under way as well as planning. It supports a wide range of chart formats using a plugin system. Other plugins provides support for e. g. radar, AIS and weather maps. Program is localized in 20+ languages and ported to several OS including MacOS, Windows and Linux.

OPTIONS

-h, --help
    Show help info.

-p  Run in portable mode.

-l, --loglevel=<level>
    Set amount of logged information. Level is any of trace, debug, info, message, warning or error, defaulting to info if not set in environment; see ENVIRONMENT.

-fullscreen
    Switch to full screen mode on start.

-no_opengl
    Disable OpenGL video acceleration. This setting will be remembered.

-rebuild_gl_raster_cache
    Rebuild OpenGL raster cache on start.

-parse_all_enc
    Convert all S-57 charts to OpenCPN's internal format on start.

-unit_test_1:<num>
    Display a slideshow of <num> charts and then exit. Zero or negative <num> specifies no limit.

PLUGIN LOADING
Plugin loading depends on that the opencpn main program can locate the plugin object file and that the plugin can locate it's own data.

On Linux, the main program searches for plugin .so-files in a library named opencpn/plugins. By default, this path is searched in ~/.local/lib:/usr/local/lib:/usr/lib. The default search path can be overridden by the OPENCPN_PLUGIN_DIRS environment variable.

On other platforms, all plugin object files lives in a single directory defined at installation.

A plugin's data directory is a path ending with opencpn/plugins/<plugin_name>. On Linux, this is by default searched in ~/local/share:/usr/local/share:/usr/share. This search path is overridden by XDG_DATA_DIRS as defined by the freedesktop spec. Only plugins adapted for this (i. e., using GetPluginDataDir()) handles this properly.

On other platforms, the plugin data directories always lives in a common parent defined at installation time.

LIBRARY LOADING AND LD_LIBRARY_PATH
If LD_LIBRARY_PATH exists in the environment opencpn uses it without modifications.

Otherwise LD_LIBRARY_PATH is set to the same path as from which plugins are loaded, see above. This ensures that helper binaries can load possible libraries installed in the same directories as the plugin.

ENVIRONMENT

OPENCPN_PLUGIN_DIRS
    Plugin load path, see PLUGIN LOADING

OPENCPN_LOGLEVEL
    Default loglevel if not defined on command line using -l/--loglevel. See the --loglevel option for allowed values.

OPENCPN_FATAL_ERROR
    If defined, displays the message and exits on startup.

FILES

~/.opencpn/opencpn.log
    System log file, a useful tool to solve problems.

NOTES
The support for OPENCPN_PLUGIN_DIRS and XDG_DATA_DIRS was introduced in version 5.0.0. Prior to this, all plugins was loaded from a single directory and all plugin data directories had a common parent.

SEE ALSO
http://www.opencpn.org
http://www.freedesktop.org